Company logoTrust Center Documentation

List Trust Center tabs

Retrieve all configured Trust Center tab rows for the authenticated tenant, ordered by their navigation order. System rows reference built-in Trust Center…

GET
/api/v1/tabs

Retrieve all configured Trust Center tab rows for the authenticated tenant, ordered by their navigation order. System rows reference built-in Trust Center sections. Custom rows include linked custom tab metadata needed by the Admin Center.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/tabs"
{
  "tabs": [
    {
      "id": "row-overview",
      "tenant": "tenant-123",
      "kind": "system",
      "system_tab": "overview",
      "custom_tab": null,
      "order": 1,
      "enabled": true
    },
    {
      "id": "row-custom",
      "tenant": "tenant-123",
      "kind": "custom",
      "system_tab": null,
      "custom_tab": {
        "id": "tab-vendor-assurance",
        "slug": "vendor-assurance",
        "title": "Vendor Assurance",
        "access_level": "public"
      },
      "order": 2,
      "enabled": true
    }
  ],
  "customTabs": [
    {
      "id": "tab-vendor-assurance",
      "slug": "vendor-assurance",
      "title": "Vendor Assurance",
      "access_level": "public"
    }
  ]
}
{
  "error": "string",
  "code": "string",
  "message": "string",
  "details": "string"
}
{
  "error": "string",
  "code": "string",
  "message": "string",
  "details": "string"
}
{
  "error": "Tenant not found"
}
{
  "error": "string",
  "code": "string",
  "message": "string",
  "details": "string"
}

How is this guide?